### Method

# Gck Slot open_session

#### Declaration [src]

    GckSession*
    gck_slot_open_session (
      GckSlot* self,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

This call may block for an indefinite period.

#### Parameters

`options`

  Type: `GckSessionOptions`

  The `GckSessionOptions` to open a session with.

`interaction`

  Type: `GTlsInteraction`

  The `GTlsInteraction` to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  An optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckSession`

A new session or `NULL` if an error occurs.

The caller of the method takes ownership of the data, and is responsible for freeing it.